Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlUpdate

    java.lang.Object
      com.servingxml.components.sql.SqlUpdate

All Implemented Interfaces:
  SqlUpdateDatabase

    public class SqlUpdate

extends java.lang.Object
implements SqlUpdateDatabase

Field Summary

Fields inherited from interface com.servingxml.components.sql.SqlUpdateDatabase
`NULL`

Constructor Summary
`SqlUpdate(RecordAccepter accepter, SqlStatement sqlStatement, SqlUpdateDatabase[] updateOperations)`

Method Summary
`void` | `endUpdate(ServiceContext context, Flow flow, java.sql.Connection connection)`
`void` | `startUpdate(ServiceContext context, Flow flow, java.sql.Connection connection)`
`void` | `update(ServiceContext context, Flow flow, java.sql.Connection connection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlUpdate

    public SqlUpdate(RecordAccepter accepter,
                     SqlStatement sqlStatement,
                     SqlUpdateDatabase[] updateOperations)

Method Detail

### startUpdate

    public void startUpdate(ServiceContext context,
                            Flow flow,
                            java.sql.Connection connection)

  Specified by:
    `startUpdate` in interface `SqlUpdateDatabase`

### update

    public void update(ServiceContext context,
                       Flow flow,
                       java.sql.Connection connection)

  Specified by:
    `update` in interface `SqlUpdateDatabase`

### endUpdate

    public void endUpdate(ServiceContext context,
                          Flow flow,
                          java.sql.Connection connection)

  Specified by:
    `endUpdate` in interface `SqlUpdateDatabase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD